%define	prefix		%{_prefix}
# XXX is this right - it was /var/lib before FHS macros
%define _localstatedir	/var/lib
%define enable_japanese 1

Name:		gnome-core
Version: 	1.2.4
Epoch:          1
Release: 17
Copyright:	LGPL/GPL
Group:		System Environment/Libraries
Summary:	The core programs for the GNOME GUI desktop environment.
Source: 	ftp://ftp.gnome.org/pub/GNOME/stable/sources/%{name}/%{name}-%{version}.tar.gz
Source1:	gnome-ccdesktop.png
Source2:	gnome-devel.png
Source3:	gnome-gnomoku.png
Source4:	gnome-multimedia.png
Source5:	gnome-panel.png
Source8:	gnome-util.png
Source9:        gnome-upgrade.py
Source10:       gnome-upgrade.glade
Source11:       netscape.png
Source12:	default.in
Source13:	gnome-core-splash.c
Source14:       redhat-splashscreen.png
Source15:       sawmill-replace.sh
Source16:       gnome-core-po.tar.gz
URL:		http://www.gnome.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Requires:	gdk-pixbuf >= 0.7.0
Requires:       pygnome-libglade >= 0.6
Requires:       sawfish
Requires:	gnome-libs >= 1.2.0

# Red Hat patches
Patch0:		gnome-core-1.0.55-gdmlang.patch
Patch1:		gnome-core-1.1.90-swapbs.patch
Patch2:		gnome-core-1.0.54-smallfont.patch
Patch3:         gnome-core-1.2.1-mergerhmenus.patch
Patch4:		gnome-core-1.2.1-upgrader.patch
Patch5:		gnome-core-1.2.1-nodesktops.patch
Patch6:        gnome-core-1.2.1-transientfor.patch
Patch7:        gnome-core-1.2.1-canvaspixbuf.patch
Patch8:        gnome-core-1.2.1-extrapixmaps.patch
Patch9:        gnome-core-1.2.1-rectfix.patch
Patch10:        gnome-core-1.2.1-rebootfix.patch
# Japanese patch
Patch11:	gnome-core-1.2.4-terminal_mb-0.4.patch
Patch12:	gnome-core-1.2.1-japanese-default-page.patch
Patch13:        gnome-core-1.2.4-battery.patch
Patch14:        gnome-core-1.2.4-defaultapplets.patch
Patch15:        gnome-core-1.2.4-redhatdefaults.patch
Patch16:        gnome-core-1.2.4-nofoobar.patch
Patch17:        gnome-core-1.2.4-kdesubmenus.patch
Patch18:        gnome-core-1.2.4-nslauncher.patch
Patch19:        gnome-core-1.2.1-noicongap.patch
Patch20:        gnome-core-1.2.4-norootscreensaver.patch
Patch21:        gnome-core-1.2.4-changeaccels.patch
Patch22:        gnome-core-1.2.4-nothumbnailing.patch
Patch23:	gnome-core-nohttp.patch
Patch24:        gnome-core-1.2.4-cvsdeskguide.patch
Patch25:	gnome-core-1.2.4-newinfopath.patch
Patch26:        gnome-core-1.2.4-kdesm.patch
Patch27:        gnome-core-1.2.4-smcancel.patch
Patch28:        gnome-core-1.2.4-keyshortcut.patch
Patch29:        gnome-core-1.2.4-noanotherlevel.patch
Patch30:        gnome-core-1.2.4-multibyteoption.patch
Patch31:	gnome-core-1.2.4-bettername.patch
Patch32:	gnome-core-1.2.4-clock-applet-translation.patch
Patch40:	gnome-core-1.2.4-ia64ja.patch


%description
GNOME (GNU Network Object Model Environment) is a user-friendly
set of applications and desktop tools to be used in conjunction with a
window manager for the X Window System.  GNOME is similar in purpose and
scope to CDE and KDE, but GNOME is based completely on Open Source
software.  The gnome-core package includes the basic programs and
libraries that are needed to install GNOME.

You should install the gnome-core package if you would like to use the
GNOME desktop environment.  You'll also need to install the gnome-libs
package.  If you would like to develop GNOME applications, you'll also
need to install gnome-libs-devel.  If you want to use linuxconf with a
GNOME front end, you'll also need to install the gnome-linuxconf package.

%package devel
Summary:	GNOME core libraries, headers and more.
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Panel libraries and header files for creating GNOME panels.

%prep
%setup -q
cp %{SOURCE1} pixmaps/
cp %{SOURCE2} pixmaps/
cp %{SOURCE3} pixmaps/
cp %{SOURCE4} pixmaps/
cp %{SOURCE5} pixmaps/
cp %{SOURCE8} pixmaps/
cp %{SOURCE11} pixmaps/
cp %{SOURCE12} gsm/
cp %{SOURCE13} gsm/
cp %{SOURCE14} pixmaps/

# translations
tar zxf %{SOURCE16}

echo "	*****     Applying RH patches        *****	"
%patch0 -p1 -b .gdmlang
%patch1 -p1 -b .swapbs
%patch2 -p1 -b .smallfont
## %patch3 -p1 -b .mergerhmenus
%patch4 -p1 -b .upgrader
%patch5 -p1 -b .nodesktops
%patch6 -p1 -b .transientfor
%patch7 -p1 -b .canvaspixbuf
%patch8 -p1 -b .extrapixmaps
%patch9 -p1 -b .rectfix
%patch10 -p1 -b .rebootfix
%if %{enable_japanese}
%patch11 -p1 -b .jpterm
%endif
%patch12 -p1 -b .nbsp
%patch13 -p1 -b .battery
%patch14 -p1 -b .defaultapplets
%patch15 -p1 -b .redhatdefaults
%patch16 -p1 -b .nofoobar
%patch17 -p1 -b .kdesubmenus
%patch18 -p1 -b .nslauncher
%patch19 -p1 -b .noicongap
%patch20 -p1 -b .norootscreensaver
%patch21 -p1 -b .changeaccels
%patch22 -p1 -b .nothumbnailing
%patch23 -p1 -b .nohttp
%patch24 -p1 -b .cvsdeskguide
%patch25 -p1 -b .newinfopath
%patch26 -p1 -b .kdesm
%patch27 -p1 -b .smcancel
%patch28 -p1 -b .keyshortcut
%patch29 -p1 -b .noanotherlevel
%patch30 -p1 -b .multibyteoption
# don't name the toplevel menu "Programs,", instead "GNOME Programs."  
# The foot menu hardcodes it anyway, and it looks strange in KDE when
# listed as "Programs."
%patch31 -p1 -b .bettername
%patch32 -p1 -b .clockappleti18n
%ifarch ia64
%patch40 -p1 -b .ia64ja
%endif

%build
# libbz2 patch modified acconfig.h, configure.in
autoheader
automake
autoconf
%configure --with-kde-datadir=/usr/share --with-window-manager=sawfish
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_prefix}/bin
install -m 755 %{SOURCE9} $RPM_BUILD_ROOT%{_prefix}/bin/gnome-upgrade.py
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/gnome-upgrade/glade/
install -m 644 %{SOURCE10} $RPM_BUILD_ROOT%{_prefix}/share/gnome-upgrade/glade/gnome-upgrade.glade

mkdir -p $RPM_BUILD_ROOT%{_prefix}/bin
install -m 755 %{SOURCE15} $RPM_BUILD_ROOT%{_prefix}/bin/sawmill-replace.sh

# Now owned by Netscape pkg
rm -f $RPM_BUILD_ROOT%{_prefix}/share/pixmaps/netscape.png

%makeinstall

%find_lang %name

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
%{prefix}/lib/lib*.so.*
%{prefix}/share/applets
%{prefix}/share/gnome/apps
%{prefix}/share/gnome/help
%{prefix}/share/gnome/hints
%{prefix}/share/gnome-about/*
%{prefix}/share/idl
%{prefix}/share/gnome-upgrade/glade/*
# %{prefix}/share/mc/templates
%{prefix}/share/control-center/*
%{prefix}/share/pixmaps/*
%config %{_sysconfdir}/*
%config %{prefix}/share/gnome/default.session
%config %{prefix}/share/gnome/default.wm
# These are in gnome-core because the shared-library applets need the .so files around
%{prefix}/lib/lib*.so

%files devel
%defattr(-, root, root)

%{prefix}/lib/*.sh
%{prefix}/lib/*a
%{prefix}/include/*

%changelog
* Mon May 11 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add ia64 ja.po patch to avoid splash core dump

* Sat Apr  7 2001 Preston Brown <pbrown@redhat.com>
- change gnome-upgrade script to refer to 7.1 not 7.0

* Wed Apr  4 2001 Matt Wilson <msw@redhat.com>
- added gnome-core-1.2.4-clock-applet-translation.patch to fix the
  mistranslated clock/hourformat by 6 languages

* Thu Mar 15 2001 Havoc Pennington <hp@redhat.com>
- translations

* Wed Mar 14 2001 Preston Brown <pbrown@redhat.com>
- make Programs menu show up with a better name in KDE.  Doesn't affect GNOME.

* Mon Mar  5 2001 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild in new environment

* Thu Mar 01 2001 Havoc Pennington <hp@redhat.com>
- don't crash on clicking splash screen
- add patches from Tim to fix up thumbnailing; put thumbnailing back in the 
  prefs dialog

* Fri Feb 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- langify

* Tue Feb 13 2001 Havoc Pennington <hp@redhat.com>
- patch to get rid of anotherlevel AGAIN fixes bug 27094
- patch to add a check to the configuration dialog "enable multibyte
  support" which toggles whether we use gdk_font_load() or gdk_fontset_load().
  may help with 8-bit single byte encodings. bug 27073

* Wed Feb 07 2001 Havoc Pennington <hp@redhat.com>
- patch from John Harper so SM works with KDE apps
- patch from John Harper to handle cancelling a session shutdown
- patch from George to fix Ctrl-Shift-R

* Mon Feb 05 2001 Elliot Lee <sopwith@redhat.com> 1.2.4-[45]
- newinfopath.patch to fix 23553
- nothumbnailing2.patch to fix 24905
- Make pkg require gnome-libs >= 1.2.0
- Add gnome-core-nohttp.patch to close bug #17150
- Remove netscape.png to close bug #21044

* Tue Jan 30 2001 Havoc Pennington <hp@redhat.com>
- disable thumbnailing in pager by default, you can't see it with the 2x2 
  pager anyhow, and it eats CPU

* Mon Jan 22 2001 Havoc Pennington <hp@redhat.com>
- enable new version of gnome-terminal multibyte patch from Akira

* Fri Jan 19 2001 Havoc Pennington <hp@redhat.com>
- 1.2.4
- remove libz2 patch, gone upstream
- temporarily disable the gnome-terminal multibyte patch; the pofile
  changes are going to conflict in a hard-to-resolve way on every
  upgrade :-( maybe instead of a patch, a small script that updates
  the po files and does s///g to insert the translations we have, that
  will work on future versions?
- explode redhatdefaults into multiple smaller patches, and port it 
  to new panel version
- don't apply menu merge patch, since it appears George wrote an upstream 
  version of it; but leave the patch in the SRPM since it's lots of 
  code we may need again
- remove "no anotherlevel" patch, merged upstream
- port assorted patches to 1.2.4
- remove panelrc from file list, no longer in the tarball

* Thu Jan 18 2001 Akira TAGOH <tagoh@redhat.com>
- Installed gnome-libs-1.2.8-1 on buildfarm.

* Thu Jan 18 2001 Akira TAGOH <tagoh@redhat.com>
- Added gnome-terminal's japanese patch.

* Mon Oct 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- call /usr/bin/poweroff instead of /usr/bin/halt for halting the system

* Thu Aug 31 2000 Bill Nottingham <notting@redhat.com>
- take out the ExcludeArch: ia64

* Wed Aug 30 2000 Jonathan Blandford <jrb@redhat.com>
- Fix gnome-upgrade to now say Red Hat Linux 7.0 instead of Red
  Hat 7.0.  Also, make gnome-core require Sawfish

* Wed Aug 23 2000 Jonathan Blandford <jrb@redhat.com>
- Fix gnome-upgrade to popup when you upgrade.

* Wed Aug 23 2000 Owen Taylor <otaylor@redhat.com>
- Load and save splashscreen with GIMP to fix warning message
  from libpng.
- Change halt and reboot commands to /usr/bin/halt,reboot, instead
  of /usr/bin/shutdown, which no longer exists.

* Wed Aug 09 2000 Havoc Pennington <hp@redhat.com>
- Epoch 1
- Fix gnome-hint to tell about the proper accelerator for panel menu

* Mon Aug 07 2000 Havoc Pennington <hp@redhat.com>
- Add script "sawmill-replace.sh" and run it on files that might contain 
  sawfish, from inside gnome-upgrade.py

* Mon Aug 07 2000 Havoc Pennington <hp@redhat.com>
- Don't add the xscreensaver icon by default if we are root, bug 15006

* Thu Aug 03 2000 Owen Taylor <otaylor@redhat.com>
- Implement the logout effect in a slightly different way to
  avoid extreme slowness on fbdev X driver. 

* Wed Aug 02 2000 Havoc Pennington <hp@redhat.com>
- Pack icons together (don't leave a gap)

* Tue Aug 01 2000 Havoc Pennington <hp@redhat.com>
- Cosmetic enhancements for the splash

* Tue Aug 01 2000 Havoc Pennington <hp@redhat.com>
- Use the Red Hat splash screen, not a nonexistent Helix file

* Tue Aug 01 2000 Havoc Pennington <hp@redhat.com>
- Splash screen

* Mon Jul 31 2000 Havoc Pennington <hp@redhat.com>
- Set the transient-for hint on the gnome-terminal preferences window 

* Fri Jul 28 2000 Jonathan Blandford <jrb@redhat.com>
- Make dependant on pygnome-libglade, otherwise the gnome-upgrade.py druid
  won't work

* Tue Jul 25 2000 Havoc Pennington <hp@redhat.com>
- Fix netscape launcher yet again (one-character diff, 
  string was being compared to a char instead of first char
  of string being compared to a char)

* Fri Jul 21 2000 Owen Taylor <otaylor@redhat.com>
- Another attempt at netscape launcher fix

* Fri Jul 21 2000 Owen Taylor <otaylor@redhat.com>
- Fix to look for netscape launcher in the right place

* Wed Jul 19 2000 Havoc Pennington <hp@redhat.com>
- kill son of the return of anotherlevel

* Wed Jul 19 2000 Havoc Pennington <hp@redhat.com>
- Remove everything related to AnotherLevel
- Run automake so that Matt's Makefile.am hacks take effect.

* Thu Jul 18 2000 Jonathan Blandford <jrb@redhat.com>
- got the gnome-upgrader to now work with out contacting the session manager
  As it is being run from the session manager, it wouldn't work.

* Mon Jul 17 2000 Matt Wilson <msw@redhat.com>
- replaced netscape.png with an official netscape logo
- don't install .desktop files for packages that provide them in
  their own packages

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul 11 2000 Havoc Pennington <hp@redhat.com>
- Spell out "Control" in keyboard shortcuts so panel can figure it out

* Sat Jul 8 2000 Havoc Pennington <hp@redhat.com>
- remove Docdir
 
* Mon Jun  19 2000 Jonathan Blandford <jrb@redhat.com>
- added an upgrading druid to move people's gnome environments over.

* Sat Jun  17 2000 Owen Taylor <otaylor@redhat.com>
- Integrate back in menu-merging patch

* Fri Jun  16 2000 Havoc Pennington <hp@redhat.com>
- Fix default keep-menus-in-memory thing
- Try to bump the Red Hat and GNOME submenus out of the KDE submenu
- Remove AnotherLevel submenu

* Fri Jun  16 2000 Havoc Pennington <hp@redhat.com>
- Default to keep menus in memory
- More reliable check for whether we're on a machine with a battery

* Thu Jun  15 2000 Havoc Pennington <hp@redhat.com>
- Change key shortcut defaults to not conflict with window manager ones
- 1.2.1

* Thu Jun  15 2000 Havoc Pennington <hp@redhat.com>
- Hack defaults to have no foobar, add clock and desk guide to 
  default normal panel, if /proc/apm exists add battery monitor,
  remove logout button and status tray from default
- Change default to small menu icons

* Thu Jun  1 2000 Matt Wilson <msw@redhat.com>
- 1.2.0
- build against libbz2 1.0

* Fri May 12 2000 Matt Wilson <msw@redhat.com>
- integrate some 1.0.55 patches - there are a lot of them

* Sat May  6 2000 Matt Wilson <msw@redhat.com>
- Red Hat-ified helix RPM

